Bug 1466273 - Please build zabbix30 for EPEL-7
Please build zabbix30 for EPEL-7
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: zabbix (Show other bugs)
epel7
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 07:39 EDT by Jan ONDREJ
Modified: 2017-09-18 16:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-29 11:02:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2017-06-29 07:39:59 EDT
Description of problem:
Please build zabbix for EPEL-7.
Comment 1 Orion Poplawski 2017-06-29 11:02:12 EDT
We use versioned zabbix packages for EPEL, so there is:

zabbix20
zabbix22

We also only build LTS releases for EPEL, which 3.0 is not.
Comment 2 Jan ONDREJ 2017-06-30 01:29:37 EDT
(In reply to Orion Poplawski from comment #1)
> We also only build LTS releases for EPEL, which 3.0 is not.

According to:
  http://www.zabbix.com/life_cycle_and_release_policy

Zabbix 3.0 is LTS.
I currently need only zabbix-agent and possibly current releases in EPEL are not compatible with our server.

Can you please add zabbix30 package too?

Thank you.
Comment 3 Orion Poplawski 2017-06-30 16:47:38 EDT
Hmm, that seems new.  What say you, Volker?
Comment 4 Orion Poplawski 2017-06-30 17:12:10 EDT
http://www.cora.nwra.com/~orion/fedora/zabbix30.spec
http://www.cora.nwra.com/~orion/fedora/zabbix30-3.0.9-1.el7.src.rpm

agent fails with:

 25707:20170630:150606.515 cannot set resource limit: [13] Permission denied
 25707:20170630:150606.515 cannot disable core dump, exiting...

type=AVC msg=audit(1498856766.513:3298): avc:  denied  { setrlimit } for  pid=25707 comm="zabbix_agentd" scontext=system_u:system_r:zabbix_agent_t:s0 tcontext=system_u:system_r:zabbix_agent_t:s0 tclass=process

I've seen this before...
Comment 5 Orion Poplawski 2017-06-30 17:25:47 EDT
Looks like this has been fixed in RHEL7.4 Beta - selinux-policy-targeted-3.13.1-145.el7.noarch
Comment 6 Volker Fröhlich 2017-07-01 06:04:43 EDT
Zabbix 3.0 certainly is a LTS and it should be built in EPEL. I Just never took the time.
Comment 7 Tomas Curilla 2017-09-18 16:31:06 EDT
(In reply to Orion Poplawski from comment #5)
> Looks like this has been fixed in RHEL7.4 Beta -
> selinux-policy-targeted-3.13.1-145.el7.noarch

RHEL7.4 is released ... maybe fixed previous problem ... Is possible to build zabbix30?

Note You need to log in before you can comment on or make changes to this bug.